# Uses of Class
org.opensaml.core.criterion.EntityIdCriterion

Packages that use EntityIdCriterion
Package
Description
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.

## Uses of EntityIdCriterion in org.opensaml.security.credential.criteria.impl

Constructors in org.opensaml.security.credential.criteria.impl with parameters of type EntityIdCriterion
Modifier
Constructor
Description
``
`EvaluableEntityIDCredentialCriterion(EntityIdCriterion criteria)`
Constructor.

## Uses of EntityIdCriterion in org.opensaml.security.credential.impl

Methods in org.opensaml.security.credential.impl that return EntityIdCriterion
Modifier and Type
Method
Description
`protected EntityIdCriterion`
KeyStoreCredentialResolver.`checkCriteriaRequirements(CriteriaSet criteriaSet)`
Check that required credential criteria are available.